Package org.jboss.resteasy.core.registry

## Class SegmentNode

- java.lang.Object
- - org.jboss.resteasy.core.registry.SegmentNode

-     public class SegmentNode
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `SegmentNode.Match` |
    `protected class` | `SegmentNode.SortEntry` |
    `static class` | `SegmentNode.SortFactor` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​SegmentNode>` | `children` |
    `static List<javax.ws.rs.core.MediaType>` | `DEFAULT_ACCEPTS` |
    `static String` | `RESTEASY_CHOSEN_ACCEPT` |
    `static String` | `RESTEASY_SERVER_HAS_PRODUCES` |
    `static String` | `RESTEASY_SERVER_HAS_PRODUCES_LC` |
    `protected String` | `segment` |
    `protected List<MethodExpression>` | `targets` |
    `static javax.ws.rs.core.MediaType[]` | `WILDCARD_ARRAY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SegmentNode​(String segment)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addExpression​(MethodExpression expression)` |
    `static SegmentNode.SortFactor` | `createSortFactor​(javax.ws.rs.core.MediaType client, javax.ws.rs.core.MediaType server)` |
    `MatchCache` | `match​(List<SegmentNode.Match> matches, String httpMethod, HttpRequest request)` |
    `MatchCache` | `match​(HttpRequest request, int start)` |
    `void` | `potentials​(String path, int start, List<MethodExpression> matches)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESTEASY_CHOSEN_ACCEPT

          public static final String RESTEASY_CHOSEN_ACCEPT

      See Also:
        Constant Field Values

    - #### RESTEASY_SERVER_HAS_PRODUCES

          public static final String RESTEASY_SERVER_HAS_PRODUCES

      See Also:
        Constant Field Values

    - #### RESTEASY_SERVER_HAS_PRODUCES_LC

          public static final String RESTEASY_SERVER_HAS_PRODUCES_LC

    - #### WILDCARD_ARRAY

          public static final javax.ws.rs.core.MediaType[] WILDCARD_ARRAY

    - #### DEFAULT_ACCEPTS

          public static final List<javax.ws.rs.core.MediaType> DEFAULT_ACCEPTS

    - #### segment

          protected String segment

    - #### children

          protected Map<String,​SegmentNode> children

    - #### targets

          protected List<MethodExpression> targets

  - ### Constructor Detail

    - #### SegmentNode

          public SegmentNode​(String segment)

  - ### Method Detail

    - #### match

          public MatchCache match​(HttpRequest request,
                                  int start)

    - #### potentials

          public void potentials​(String path,
                                 int start,
                                 List<MethodExpression> matches)

    - #### createSortFactor

          public static SegmentNode.SortFactor createSortFactor​(javax.ws.rs.core.MediaType client,
                                                                javax.ws.rs.core.MediaType server)

    - #### match

          public MatchCache match​(List<SegmentNode.Match> matches,
                                  String httpMethod,
                                  HttpRequest request)

    - #### addExpression

          protected void addExpression​(MethodExpression expression)